import { search } from "polar-search-api/src/api/search/Search";
import { ISODateYearString } from "polar-shared/src/metadata/ISODateTimeStrings";
import { DOIStr } from "polar-shared/src/util/Strings";
export declare class FatcatSearchEngine implements search.Engine {
    private readonly request;
    static ID: search.SearchEngineID;
    id: search.EngineIDStr;
    constructor(request: search.Request);
    executeQuery(): Promise<search.Results>;
    static handleResponse(response: fatcat.Response): Promise<search.SinglePageResults>;
    private static toEntry;
}
export declare namespace fatcat {
    interface Response {
        readonly publisher: string;
        readonly work_id: string;
        readonly container_id: string;
        readonly title: string;
        readonly contribs: ReadonlyArray<Contrib>;
        readonly ext_ids: ExtIDs;
        readonly release_year: ISODateYearString;
        readonly language: string;
        readonly volume: string;
        readonly pages: string;
    }
    type ContribRole = 'author' | string;
    interface Contrib {
        readonly raw_name: string;
        readonly role: ContribRole;
    }
    interface ExtIDs {
        readonly doi?: DOIStr;
        readonly pmid?: string;
        readonly wikipedia_quid?: string;
    }
}
